<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Dozent\KursUebersicht\Detailsreiter\Honorar\TirolKBW\HonorarPdf;

class HonorarAbrechnungDialogPresenter extends \Kufer\Web\KuferTools\Basis\Presenter\MitRahmenPresenter
{
  protected function getViewModel()
  {
    $result = new HonorarAbrechnungDialogViewModel();
    $result->kurs = $this->useCaseResponse->kurs;

    return $result;
  }

  protected function getView()
  {
    return new HonorarAbrechnungDialogView($this->getViewModel());
  }

  protected function getJsFilesSrcAryWeitere(): array
  {
    return array_merge(parent::getJsFilesSrcAryWeitere(), array(
      $this->getJsFileFromJQuery('../extern/signature_pad/signature_pad-4.1.4.umd.min.js'),
      $this->getJsFileFromSys('default_signature_pad.js'),
      $this->getJsFileFromSys('honorarabrechnung_tirol_kbw.js')
    ));
  }
}